/* $NetBSD: svr4_32_sysent.c,v 1.28 2017/05/10 06:19:49 riastradh Exp $ */

/*
 * System call switch table.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.20 2013/11/07 19:37:19 njoly Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD: svr4_32_sysent.c,v 1.28 2017/05/10 06:19:49 riastradh Exp $");

#if defined(_KERNEL_OPT)
#include "opt_ntp.h"
#include "opt_sysv.h"
#endif
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/poll.h>
#include <sys/syscallargs.h>
#include <compat/svr4_32/svr4_32_types.h>
#include <compat/netbsd32/netbsd32_syscallargs.h>
#include <compat/svr4_32/svr4_32_time.h>
#include <compat/svr4_32/svr4_32_signal.h>
#include <compat/svr4_32/svr4_32_ucontext.h>
#include <compat/svr4_32/svr4_32_lwp.h>
#include <compat/svr4_32/svr4_32_syscallargs.h>
#include <compat/svr4_32/svr4_32_statvfs.h>
#include <compat/svr4_32/svr4_32_resource.h>
#include <compat/svr4_32/svr4_32_acl.h>
#include <compat/svr4_32/svr4_32_schedctl.h>

#define	s(type)	sizeof(type)
#define	n(type)	(sizeof(type)/sizeof (register32_t))
#define	ns(type)	.sy_narg = n(type), .sy_argsize = s(type)

struct sysent svr4_32_sysent[] = {
	{
		.sy_call = (sy_call_t *)sys_nosys
	},		/* 0 = syscall */
	{
		ns(struct netbsd32_exit_args),
		.sy_call = (sy_call_t *)netbsd32_exit
	},		/* 1 = netbsd32_exit */
	{
		.sy_call = (sy_call_t *)sys_fork
	},		/* 2 = fork */
	{
		ns(struct netbsd32_read_args),
		.sy_call = (sy_call_t *)netbsd32_read
	},		/* 3 = netbsd32_read */
	{
		ns(struct netbsd32_write_args),
		.sy_call = (sy_call_t *)netbsd32_write
	},		/* 4 = netbsd32_write */
	{
		ns(struct svr4_32_sys_open_args),
		.sy_call = (sy_call_t *)svr4_32_sys_open
	},		/* 5 = open */
	{
		ns(struct netbsd32_close_args),
		.sy_call = (sy_call_t *)netbsd32_close
	},		/* 6 = netbsd32_close */
	{
		ns(struct svr4_32_sys_wait_args),
		.sy_call = (sy_call_t *)svr4_32_sys_wait
	},		/* 7 = wait */
	{
		ns(struct svr4_32_sys_creat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_creat
	},		/* 8 = creat */
	{
		ns(struct netbsd32_link_args),
		.sy_call = (sy_call_t *)netbsd32_link
	},		/* 9 = netbsd32_link */
	{
		ns(struct netbsd32_unlink_args),
		.sy_call = (sy_call_t *)netbsd32_unlink
	},		/* 10 = netbsd32_unlink */
	{
		ns(struct svr4_32_sys_execv_args),
		.sy_call = (sy_call_t *)svr4_32_sys_execv
	},		/* 11 = execv */
	{
		ns(struct netbsd32_chdir_args),
		.sy_call = (sy_call_t *)netbsd32_chdir
	},		/* 12 = netbsd32_chdir */
	{
		ns(struct svr4_32_sys_time_args),
		.sy_call = (sy_call_t *)svr4_32_sys_time
	},		/* 13 = time */
	{
		ns(struct svr4_32_sys_mknod_args),
		.sy_call = (sy_call_t *)svr4_32_sys_mknod
	},		/* 14 = mknod */
	{
		ns(struct netbsd32_chmod_args),
		.sy_call = (sy_call_t *)netbsd32_chmod
	},		/* 15 = netbsd32_chmod */
	{
		ns(struct netbsd32___posix_chown_args),
		.sy_call = (sy_call_t *)netbsd32___posix_chown
	},		/* 16 = chown */
	{
		ns(struct svr4_32_sys_break_args),
		.sy_call = (sy_call_t *)svr4_32_sys_break
	},		/* 17 = break */
	{
		ns(struct svr4_32_sys_stat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_stat
	},		/* 18 = stat */
	{
		ns(struct compat_43_netbsd32_olseek_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_olseek
	},		/* 19 = compat_43_netbsd32_olseek */
	{
		.sy_call = (sy_call_t *)sys_getpid
	},		/* 20 = getpid */
	{
		.sy_call = sys_nosys,
	},		/* 21 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 22 = filler */
	{
		ns(struct netbsd32_setuid_args),
		.sy_call = (sy_call_t *)netbsd32_setuid
	},		/* 23 = netbsd32_setuid */
	{
		.sy_call = (sy_call_t *)sys_getuid_with_euid
	},		/* 24 = getuid_with_euid */
	{
		.sy_call = sys_nosys,
	},		/* 25 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 26 = filler */
	{
		ns(struct svr4_32_sys_alarm_args),
		.sy_call = (sy_call_t *)svr4_32_sys_alarm
	},		/* 27 = alarm */
	{
		ns(struct svr4_32_sys_fstat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fstat
	},		/* 28 = fstat */
	{
		.sy_call = (sy_call_t *)svr4_32_sys_pause
	},		/* 29 = pause */
	{
		ns(struct svr4_32_sys_utime_args),
		.sy_call = (sy_call_t *)svr4_32_sys_utime
	},		/* 30 = utime */
	{
		.sy_call = sys_nosys,
	},		/* 31 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 32 = filler */
	{
		ns(struct svr4_32_sys_access_args),
		.sy_call = (sy_call_t *)svr4_32_sys_access
	},		/* 33 = access */
	{
		ns(struct svr4_32_sys_nice_args),
		.sy_call = (sy_call_t *)svr4_32_sys_nice
	},		/* 34 = nice */
	{
		.sy_call = sys_nosys,
	},		/* 35 = filler */
	{
		.sy_call = (sy_call_t *)sys_sync
	},		/* 36 = sync */
	{
		ns(struct svr4_32_sys_kill_args),
		.sy_call = (sy_call_t *)svr4_32_sys_kill
	},		/* 37 = kill */
	{
		.sy_call = sys_nosys,
	},		/* 38 = filler */
	{
		ns(struct svr4_32_sys_pgrpsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pgrpsys
	},		/* 39 = pgrpsys */
	{
		.sy_call = sys_nosys,
	},		/* 40 = filler */
	{
		ns(struct netbsd32_dup_args),
		.sy_call = (sy_call_t *)netbsd32_dup
	},		/* 41 = netbsd32_dup */
	{
		.sy_call = (sy_call_t *)sys_pipe
	},		/* 42 = pipe */
	{
		ns(struct svr4_32_sys_times_args),
		.sy_call = (sy_call_t *)svr4_32_sys_times
	},		/* 43 = times */
	{
		.sy_call = sys_nosys,
	},		/* 44 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 45 = filler */
	{
		ns(struct netbsd32_setgid_args),
		.sy_call = (sy_call_t *)netbsd32_setgid
	},		/* 46 = netbsd32_setgid */
	{
		.sy_call = (sy_call_t *)sys_getgid_with_egid
	},		/* 47 = getgid_with_egid */
	{
		ns(struct svr4_32_sys_signal_args),
		.sy_call = (sy_call_t *)svr4_32_sys_signal
	},		/* 48 = signal */
#ifdef SYSVMSG
	{
		ns(struct svr4_32_sys_msgsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_msgsys
	},		/* 49 = msgsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 49 = filler */
#endif
	{
		ns(struct svr4_32_sys_sysarch_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sysarch
	},		/* 50 = sysarch */
	{
		.sy_call = sys_nosys,
	},		/* 51 = filler */
#ifdef SYSVSHM
	{
		ns(struct svr4_32_sys_shmsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_shmsys
	},		/* 52 = shmsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 52 = filler */
#endif
#ifdef SYSVSEM
	{
		ns(struct svr4_32_sys_semsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_semsys
	},		/* 53 = semsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 53 = filler */
#endif
	{
		ns(struct svr4_32_sys_ioctl_args),
		.sy_call = (sy_call_t *)svr4_32_sys_ioctl
	},		/* 54 = ioctl */
	{
		.sy_call = sys_nosys,
	},		/* 55 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 56 = filler */
	{
		ns(struct svr4_32_sys_utssys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_utssys
	},		/* 57 = utssys */
	{
		ns(struct netbsd32_fsync_args),
		.sy_call = (sy_call_t *)netbsd32_fsync
	},		/* 58 = netbsd32_fsync */
	{
		ns(struct netbsd32_execve_args),
		.sy_call = (sy_call_t *)netbsd32_execve
	},		/* 59 = netbsd32_execve */
	{
		ns(struct netbsd32_umask_args),
		.sy_call = (sy_call_t *)netbsd32_umask
	},		/* 60 = netbsd32_umask */
	{
		ns(struct netbsd32_chroot_args),
		.sy_call = (sy_call_t *)netbsd32_chroot
	},		/* 61 = netbsd32_chroot */
	{
		ns(struct svr4_32_sys_fcntl_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fcntl
	},		/* 62 = fcntl */
	{
		ns(struct svr4_32_sys_ulimit_args),
		.sy_call = (sy_call_t *)svr4_32_sys_ulimit
	},		/* 63 = ulimit */
	{
		.sy_call = sys_nosys,
	},		/* 64 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 65 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 66 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 67 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 68 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 69 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 70 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 71 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 72 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 73 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 74 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 75 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 76 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 77 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 78 = filler */
	{
		ns(struct netbsd32_rmdir_args),
		.sy_call = (sy_call_t *)netbsd32_rmdir
	},		/* 79 = netbsd32_rmdir */
	{
		ns(struct netbsd32_mkdir_args),
		.sy_call = (sy_call_t *)netbsd32_mkdir
	},		/* 80 = netbsd32_mkdir */
	{
		ns(struct svr4_32_sys_getdents_args),
		.sy_call = (sy_call_t *)svr4_32_sys_getdents
	},		/* 81 = getdents */
	{
		.sy_call = sys_nosys,
	},		/* 82 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 83 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 84 = filler */
	{
		ns(struct svr4_32_sys_getmsg_args),
		.sy_call = (sy_call_t *)svr4_32_sys_getmsg
	},		/* 85 = getmsg */
	{
		ns(struct svr4_32_sys_putmsg_args),
		.sy_call = (sy_call_t *)svr4_32_sys_putmsg
	},		/* 86 = putmsg */
	{
		ns(struct netbsd32_poll_args),
		.sy_call = (sy_call_t *)netbsd32_poll
	},		/* 87 = netbsd32_poll */
	{
		ns(struct svr4_32_sys_lstat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_lstat
	},		/* 88 = lstat */
	{
		ns(struct netbsd32_symlink_args),
		.sy_call = (sy_call_t *)netbsd32_symlink
	},		/* 89 = netbsd32_symlink */
	{
		ns(struct netbsd32_readlink_args),
		.sy_call = (sy_call_t *)netbsd32_readlink
	},		/* 90 = netbsd32_readlink */
	{
		ns(struct netbsd32_getgroups_args),
		.sy_call = (sy_call_t *)netbsd32_getgroups
	},		/* 91 = netbsd32_getgroups */
	{
		ns(struct netbsd32_setgroups_args),
		.sy_call = (sy_call_t *)netbsd32_setgroups
	},		/* 92 = netbsd32_setgroups */
	{
		ns(struct netbsd32_fchmod_args),
		.sy_call = (sy_call_t *)netbsd32_fchmod
	},		/* 93 = netbsd32_fchmod */
	{
		ns(struct netbsd32___posix_fchown_args),
		.sy_call = (sy_call_t *)netbsd32___posix_fchown
	},		/* 94 = fchown */
	{
		ns(struct svr4_32_sys_sigprocmask_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sigprocmask
	},		/* 95 = sigprocmask */
	{
		ns(struct svr4_32_sys_sigsuspend_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sigsuspend
	},		/* 96 = sigsuspend */
	{
		ns(struct svr4_32_sys_sigaltstack_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sigaltstack
	},		/* 97 = sigaltstack */
	{
		ns(struct svr4_32_sys_sigaction_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sigaction
	},		/* 98 = sigaction */
	{
		ns(struct svr4_32_sys_sigpending_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sigpending
	},		/* 99 = sigpending */
	{
		ns(struct svr4_32_sys_context_args),
		.sy_call = (sy_call_t *)svr4_32_sys_context
	},		/* 100 = context */
	{
		.sy_call = sys_nosys,
	},		/* 101 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 102 = filler */
	{
		ns(struct svr4_32_sys_statvfs_args),
		.sy_call = (sy_call_t *)svr4_32_sys_statvfs
	},		/* 103 = statvfs */
	{
		ns(struct svr4_32_sys_fstatvfs_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fstatvfs
	},		/* 104 = fstatvfs */
	{
		.sy_call = sys_nosys,
	},		/* 105 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 106 = filler */
	{
		ns(struct svr4_32_sys_waitsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_waitsys
	},		/* 107 = waitsys */
	{
		.sy_call = sys_nosys,
	},		/* 108 = filler */
	{
		ns(struct svr4_32_sys_hrtsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_hrtsys
	},		/* 109 = hrtsys */
	{
		.sy_call = sys_nosys,
	},		/* 110 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 111 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 112 = filler */
	{
		ns(struct svr4_32_sys_pathconf_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pathconf
	},		/* 113 = pathconf */
	{
		.sy_call = sys_nosys,
	},		/* 114 = filler */
	{
		ns(struct svr4_32_sys_mmap_args),
		.sy_call = (sy_call_t *)svr4_32_sys_mmap
	},		/* 115 = mmap */
	{
		ns(struct netbsd32_mprotect_args),
		.sy_call = (sy_call_t *)netbsd32_mprotect
	},		/* 116 = netbsd32_mprotect */
	{
		ns(struct netbsd32_munmap_args),
		.sy_call = (sy_call_t *)netbsd32_munmap
	},		/* 117 = netbsd32_munmap */
	{
		ns(struct svr4_32_sys_fpathconf_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fpathconf
	},		/* 118 = fpathconf */
	{
		.sy_call = (sy_call_t *)sys_vfork
	},		/* 119 = vfork */
	{
		ns(struct netbsd32_fchdir_args),
		.sy_call = (sy_call_t *)netbsd32_fchdir
	},		/* 120 = netbsd32_fchdir */
	{
		ns(struct netbsd32_readv_args),
		.sy_call = (sy_call_t *)netbsd32_readv
	},		/* 121 = netbsd32_readv */
	{
		ns(struct netbsd32_writev_args),
		.sy_call = (sy_call_t *)netbsd32_writev
	},		/* 122 = netbsd32_writev */
	{
		ns(struct svr4_32_sys_xstat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_xstat
	},		/* 123 = xstat */
	{
		ns(struct svr4_32_sys_lxstat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_lxstat
	},		/* 124 = lxstat */
	{
		ns(struct svr4_32_sys_fxstat_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fxstat
	},		/* 125 = fxstat */
	{
		ns(struct svr4_32_sys_xmknod_args),
		.sy_call = (sy_call_t *)svr4_32_sys_xmknod
	},		/* 126 = xmknod */
	{
		.sy_call = sys_nosys,
	},		/* 127 = filler */
	{
		ns(struct svr4_32_sys_setrlimit_args),
		.sy_call = (sy_call_t *)svr4_32_sys_setrlimit
	},		/* 128 = setrlimit */
	{
		ns(struct svr4_32_sys_getrlimit_args),
		.sy_call = (sy_call_t *)svr4_32_sys_getrlimit
	},		/* 129 = getrlimit */
	{
		ns(struct netbsd32_lchown_args),
		.sy_call = (sy_call_t *)netbsd32_lchown
	},		/* 130 = lchown */
	{
		ns(struct svr4_32_sys_memcntl_args),
		.sy_call = (sy_call_t *)svr4_32_sys_memcntl
	},		/* 131 = memcntl */
	{
		.sy_call = sys_nosys,
	},		/* 132 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 133 = filler */
	{
		ns(struct netbsd32___posix_rename_args),
		.sy_call = (sy_call_t *)netbsd32___posix_rename
	},		/* 134 = rename */
	{
		ns(struct svr4_32_sys_uname_args),
		.sy_call = (sy_call_t *)svr4_32_sys_uname
	},		/* 135 = uname */
	{
		ns(struct netbsd32_setegid_args),
		.sy_call = (sy_call_t *)netbsd32_setegid
	},		/* 136 = netbsd32_setegid */
	{
		ns(struct svr4_32_sys_sysconfig_args),
		.sy_call = (sy_call_t *)svr4_32_sys_sysconfig
	},		/* 137 = sysconfig */
	{
		ns(struct compat_50_netbsd32_adjtime_args),
		.sy_call = (sy_call_t *)compat_50_netbsd32_adjtime
	},		/* 138 = compat_50_netbsd32_adjtime */
	{
		ns(struct svr4_32_sys_systeminfo_args),
		.sy_call = (sy_call_t *)svr4_32_sys_systeminfo
	},		/* 139 = systeminfo */
	{
		.sy_call = sys_nosys,
	},		/* 140 = filler */
	{
		ns(struct netbsd32_seteuid_args),
		.sy_call = (sy_call_t *)netbsd32_seteuid
	},		/* 141 = netbsd32_seteuid */
	{
		.sy_call = sys_nosys,
	},		/* 142 = filler */
	{
		.sy_call = (sy_call_t *)sys_fork
	},		/* 143 = fork1 */
	{
		.sy_call = sys_nosys,
	},		/* 144 = filler */
	{
		ns(struct svr4_32_sys__lwp_info_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_info
	},		/* 145 = _lwp_info */
	{
		.sy_call = sys_nosys,
	},		/* 146 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 147 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 148 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 149 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 150 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 151 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 152 = filler */
	{
		ns(struct netbsd32_fchroot_args),
		.sy_call = (sy_call_t *)netbsd32_fchroot
	},		/* 153 = netbsd32_fchroot */
	{
		ns(struct svr4_32_sys_utimes_args),
		.sy_call = (sy_call_t *)svr4_32_sys_utimes
	},		/* 154 = utimes */
	{
		.sy_call = (sy_call_t *)svr4_32_sys_vhangup
	},		/* 155 = vhangup */
	{
		ns(struct svr4_32_sys_gettimeofday_args),
		.sy_call = (sy_call_t *)svr4_32_sys_gettimeofday
	},		/* 156 = gettimeofday */
	{
		ns(struct compat_50_netbsd32_getitimer_args),
		.sy_call = (sy_call_t *)compat_50_netbsd32_getitimer
	},		/* 157 = compat_50_netbsd32_getitimer */
	{
		ns(struct compat_50_netbsd32_setitimer_args),
		.sy_call = (sy_call_t *)compat_50_netbsd32_setitimer
	},		/* 158 = compat_50_netbsd32_setitimer */
	{
		ns(struct svr4_32_sys__lwp_create_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_create
	},		/* 159 = _lwp_create */
	{
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_exit
	},		/* 160 = _lwp_exit */
	{
		ns(struct svr4_32_sys__lwp_suspend_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_suspend
	},		/* 161 = _lwp_suspend */
	{
		ns(struct svr4_32_sys__lwp_continue_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_continue
	},		/* 162 = _lwp_continue */
	{
		ns(struct svr4_32_sys__lwp_kill_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_kill
	},		/* 163 = _lwp_kill */
	{
		.sy_call = (sy_call_t *)svr4_sys__lwp_self
	},		/* 164 = _lwp_self */
	{
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_getprivate
	},		/* 165 = _lwp_getprivate */
	{
		ns(struct svr4_32_sys__lwp_setprivate_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_setprivate
	},		/* 166 = _lwp_setprivate */
	{
		ns(struct svr4_32_sys__lwp_wait_args),
		.sy_call = (sy_call_t *)svr4_32_sys__lwp_wait
	},		/* 167 = _lwp_wait */
	{
		.sy_call = sys_nosys,
	},		/* 168 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 169 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 170 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 171 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 172 = filler */
	{
		ns(struct svr4_32_sys_pread_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pread
	},		/* 173 = pread */
	{
		ns(struct svr4_32_sys_pwrite_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pwrite
	},		/* 174 = pwrite */
	{
		ns(struct svr4_32_sys_llseek_args),
		.sy_call = (sy_call_t *)svr4_32_sys_llseek
	},		/* 175 = llseek */
	{
		.sy_call = sys_nosys,
	},		/* 176 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 177 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 178 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 179 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 180 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 181 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 182 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 183 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 184 = filler */
	{
		ns(struct svr4_32_sys_acl_args),
		.sy_call = (sy_call_t *)svr4_32_sys_acl
	},		/* 185 = acl */
	{
		ns(struct svr4_32_sys_auditsys_args),
		.sy_call = (sy_call_t *)svr4_32_sys_auditsys
	},		/* 186 = auditsys */
	{
		.sy_call = sys_nosys,
	},		/* 187 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 188 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 189 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 190 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 191 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 192 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 193 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 194 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 195 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 196 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 197 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 198 = filler */
	{
		ns(struct compat_50_netbsd32_nanosleep_args),
		.sy_call = (sy_call_t *)compat_50_netbsd32_nanosleep
	},		/* 199 = compat_50_netbsd32_nanosleep */
	{
		ns(struct svr4_32_sys_facl_args),
		.sy_call = (sy_call_t *)svr4_32_sys_facl
	},		/* 200 = facl */
	{
		.sy_call = sys_nosys,
	},		/* 201 = filler */
	{
		ns(struct netbsd32_setreuid_args),
		.sy_call = (sy_call_t *)netbsd32_setreuid
	},		/* 202 = netbsd32_setreuid */
	{
		ns(struct netbsd32_setregid_args),
		.sy_call = (sy_call_t *)netbsd32_setregid
	},		/* 203 = netbsd32_setregid */
	{
		.sy_call = sys_nosys,
	},		/* 204 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 205 = filler */
	{
		ns(struct svr4_32_sys_schedctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)svr4_32_sys_schedctl
	},		/* 206 = schedctl */
	{
		.sy_call = sys_nosys,
	},		/* 207 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 208 = filler */
	{
		ns(struct svr4_32_sys_resolvepath_args),
		.sy_call = (sy_call_t *)svr4_32_sys_resolvepath
	},		/* 209 = resolvepath */
	{
		.sy_call = sys_nosys,
	},		/* 210 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 211 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 212 = filler */
	{
		ns(struct svr4_32_sys_getdents64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_getdents64
	},		/* 213 = getdents64 */
	{
		ns(struct svr4_32_sys_mmap64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_mmap64
	},		/* 214 = mmap64 */
	{
		ns(struct svr4_32_sys_stat64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_stat64
	},		/* 215 = stat64 */
	{
		ns(struct svr4_32_sys_lstat64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_lstat64
	},		/* 216 = lstat64 */
	{
		ns(struct svr4_32_sys_fstat64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fstat64
	},		/* 217 = fstat64 */
	{
		ns(struct svr4_32_sys_statvfs64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_statvfs64
	},		/* 218 = statvfs64 */
	{
		ns(struct svr4_32_sys_fstatvfs64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_fstatvfs64
	},		/* 219 = fstatvfs64 */
	{
		ns(struct svr4_32_sys_setrlimit64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_setrlimit64
	},		/* 220 = setrlimit64 */
	{
		ns(struct svr4_32_sys_getrlimit64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_getrlimit64
	},		/* 221 = getrlimit64 */
	{
		ns(struct svr4_32_sys_pread64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pread64
	},		/* 222 = pread64 */
	{
		ns(struct svr4_32_sys_pwrite64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_pwrite64
	},		/* 223 = pwrite64 */
#define svr4_32_sys_creat64 svr4_32_sys_creat
#define svr4_32_sys_creat64_args svr4_32_sys_creat_args
	{
		ns(struct svr4_32_sys_creat64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_creat64
	},		/* 224 = creat64 */
#define svr4_32_sys_open64 svr4_32_sys_open
#define svr4_32_sys_open64_args svr4_32_sys_open_args
	{
		ns(struct svr4_32_sys_open64_args),
		.sy_call = (sy_call_t *)svr4_32_sys_open64
	},		/* 225 = open64 */
	{
		.sy_call = sys_nosys,
	},		/* 226 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 227 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 228 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 229 = filler */
	{
		ns(struct svr4_32_sys_socket_args),
		.sy_call = (sy_call_t *)svr4_32_sys_socket
	},		/* 230 = socket */
	{
		ns(struct netbsd32_socketpair_args),
		.sy_call = (sy_call_t *)netbsd32_socketpair
	},		/* 231 = netbsd32_socketpair */
	{
		ns(struct netbsd32_bind_args),
		.sy_call = (sy_call_t *)netbsd32_bind
	},		/* 232 = netbsd32_bind */
	{
		ns(struct netbsd32_listen_args),
		.sy_call = (sy_call_t *)netbsd32_listen
	},		/* 233 = netbsd32_listen */
	{
		ns(struct compat_43_netbsd32_oaccept_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_oaccept
	},		/* 234 = compat_43_netbsd32_oaccept */
	{
		ns(struct netbsd32_connect_args),
		.sy_call = (sy_call_t *)netbsd32_connect
	},		/* 235 = netbsd32_connect */
	{
		ns(struct netbsd32_shutdown_args),
		.sy_call = (sy_call_t *)netbsd32_shutdown
	},		/* 236 = netbsd32_shutdown */
	{
		ns(struct compat_43_netbsd32_orecv_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_orecv
	},		/* 237 = compat_43_netbsd32_orecv */
	{
		ns(struct compat_43_netbsd32_orecvfrom_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_orecvfrom
	},		/* 238 = compat_43_netbsd32_orecvfrom */
	{
		ns(struct compat_43_netbsd32_orecvmsg_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_orecvmsg
	},		/* 239 = compat_43_netbsd32_orecvmsg */
	{
		ns(struct compat_43_netbsd32_osend_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_osend
	},		/* 240 = compat_43_netbsd32_osend */
	{
		ns(struct compat_43_netbsd32_osendmsg_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_osendmsg
	},		/* 241 = compat_43_netbsd32_osendmsg */
	{
		ns(struct netbsd32_sendto_args),
		.sy_call = (sy_call_t *)netbsd32_sendto
	},		/* 242 = netbsd32_sendto */
	{
		ns(struct compat_43_netbsd32_ogetpeername_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_ogetpeername
	},		/* 243 = compat_43_netbsd32_ogetpeername */
	{
		ns(struct compat_43_netbsd32_ogetsockname_args),
		.sy_call = (sy_call_t *)compat_43_netbsd32_ogetsockname
	},		/* 244 = compat_43_netbsd32_ogetsockname */
	{
		ns(struct netbsd32_getsockopt_args),
		.sy_call = (sy_call_t *)netbsd32_getsockopt
	},		/* 245 = netbsd32_getsockopt */
	{
		ns(struct netbsd32_setsockopt_args),
		.sy_call = (sy_call_t *)netbsd32_setsockopt
	},		/* 246 = netbsd32_setsockopt */
	{
		.sy_call = sys_nosys,
	},		/* 247 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 248 = filler */
#if defined(NTP) || !defined(_KERNEL)
	{
		ns(struct netbsd32_ntp_adjtime_args),
		.sy_call = (sy_call_t *)netbsd32_ntp_adjtime
	},		/* 249 = netbsd32_ntp_adjtime */
#else
	{
		.sy_call = sys_nosys,
	},		/* 249 = filler */
#endif
	{
		.sy_call = sys_nosys,
	},		/* 250 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 251 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 252 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 253 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 254 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 255 = filler */
};
